package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwBdProductcellDetail;
import com.dhcc.finance.main.domain.CwBdProductcellDetailExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwBdProductcellDetailMapper {
    long countByExample(CwBdProductcellDetailExample example);

    int deleteByExample(CwBdProductcellDetailExample example);

    int deleteByPrimaryKey(String id);

    int insert(CwBdProductcellDetail record);

    int insertSelective(CwBdProductcellDetail record);

    List<CwBdProductcellDetail> selectByExample(CwBdProductcellDetailExample example);

    CwBdProductcellDetail selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") CwBdProductcellDetail record, @Param("example") CwBdProductcellDetailExample example);

    int updateByExample(@Param("record") CwBdProductcellDetail record, @Param("example") CwBdProductcellDetailExample example);

    int updateByPrimaryKeySelective(CwBdProductcellDetail record);

    int updateByPrimaryKey(CwBdProductcellDetail record);
    /**
     * 功能描述
     *@param list
     *@return int
     *@author huangpeng
     *@date 2019年10月6日 上午9:24:01
     *修改日志:
     */
	int insertBatch(List<CwBdProductcellDetail> list);
	/**
	 * 功能描述  更新详情项目单元信息
	 *@param idList
	 *@return int
	 *@author huangpeng
	 *@date 2019年11月11日 下午3:17:08
	 *修改日志:
	 */
	int deleteDetailByCellId(@Param("list")List<String> idList);
	/**
	 * 功能描述：更新项目单元信息
	 * @return int
	 * @author likai
	 * @date 2020年7月28日 下午4:45:07
	 * @修改日志：
	 */
	int updateProductcellDetail();
}